apcu_clear_cache
apcu_delete
APCu Functions
PHP Manual

# apcu_dec

(PECL apcu >= 4.0.0)

apcu_dec — Decrease a stored number

### Description

int apcu_dec ( string `$key` [, int `$step` = 1 [, bool `&$success` ]] )

Decreases a stored integer value.

### Parameters

`key`

  The key of the value being decreased.

`step`

  The step, or value to decrease.

`success`

  Optionally pass the success or fail boolean value to this referenced variable.

### Return Values

Returns the current value of `key`'s value on success, or `FALSE` on failure

### Examples

Example #1 apcu_dec() example

`<?php
echo "Let's do something with success", PHP_EOL;
apcu_store('anumber', 42);
echo apcu_fetch('anumber'), PHP_EOL;
echo apcu_dec('anumber'), PHP_EOL;
echo apcu_dec('anumber', 10), PHP_EOL;
echo apcu_dec('anumber', 10, $success), PHP_EOL;
var_dump($success);
echo "Now, let's fail", PHP_EOL, PHP_EOL;
apcu_store('astring', 'foo');
$ret = apcu_dec('astring', 1, $fail);
var_dump($ret);
var_dump($fail);
?>`

The above example will output something similar to:

    Let's do something with success
    42
    41
    31
    21
    bool(true)

    Now, let's fail
    bool(false)
    bool(false)

### See Also

- apcu_inc() - Increase a stored number

apcu_clear_cache
apcu_delete
APCu Functions
PHP Manual